/*==============================================================================
// 
//	File: ImportPIE.h
//
//	Copyright  1993-96 Argus Holdings Ltd.  All rights reserved.
//
//==============================================================================
//
// Version Information:
//	12/11/96 - version 2. Add kImportAllwaysVisible.
//
//============================================================================*/

#ifndef _ImportPIE_H_
#define _ImportPIE_H_

#ifndef _ANEPIE_H_
#include "ANEPIE.h"
#endif /* _ANEPIE_H_ */

#define IMPORT_PIE_VERSION 2

#ifdef __cplusplus
extern "C" {
#endif

typedef void (*PIEImportProc)(ANE_PTR aneHandle, const ANE_STR fileName, ANE_PTR layerHandle);

#ifdef __cplusplus
}
#endif

enum EImportPIEFlags {
			kImportFromFile = 0x1,
			kImportFromLayer = 0x2,
			kImportNeedsProject = 0x4,
			kImportAllwaysVisible = 0x8
};

struct ImportPIEDesc
{
		ANE_INT32					version;
		ANE_STR						name;
		enum EImportPIEFlags		importFlags;
		enum EPIELayerType			toLayerTypes;
		enum EPIELayerType			fromLayerTypes;
		PIEImportProc				doImportProc;
		ANE_STR						neededProject;
}; /* ImportPIEDesc */




#endif /* _ImportPIE_H_ */

/*==============================================================================
//	End File: ImportPIE.h
//==============================================================================*/
