// Pane6.cpp : implementation file
//

#include "stdafx.h"
#include "sutra.h"
#include "Pane6.h"
#include "TabbedDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPane6 property page
static UINT staticTextToModify[] = { IDC_RHOW0_TITLE, IDC_URHOW0_TITLE, IDC_DRWDU_TITLE, IDC_VISCO_TITLE1, IDC_VISCO_TITLE2, IDC_SIGW_TITLE1, IDC_SIGW_TITLE2};


IMPLEMENT_DYNCREATE(CPane6, CBasePropertyPage)

CPane6::CPane6() : CBasePropertyPage(CPane6::IDD)
{
	//{{AFX_DATA_INIT(CPane6)
	m_COMPFL = 0.0;
	m_CW = 0.0;
	m_DRWDU = 0.0;
	m_RHOW0 = 0.0;
	m_SIGMAW = 0.0;
	m_URHOW0 = 0.0;
	m_VISCO = 0.0;
	//}}AFX_DATA_INIT
}

CPane6::~CPane6()
{
}

void CPane6::DoDataExchange(CDataExchange* pDX)
{
	CBasePropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPane6)
	DDX_Control(pDX, IDC_VISC0, m_VISCOEdit);
	DDX_Control(pDX, IDC_URHOW0, m_URHOW0Edit);
	DDX_Control(pDX, IDC_RHOW0, m_RHOW0Edit);
	DDX_Control(pDX, IDC_DRWDU, m_DRWDUEdit);
	DDX_Control(pDX, IDC_CW, m_CWEdit);
	DDX_Text(pDX, IDC_COMPFL, m_COMPFL);
	DDX_Text(pDX, IDC_CW, m_CW);
	DDX_Text(pDX, IDC_DRWDU, m_DRWDU);
	DDX_Text(pDX, IDC_RHOW0, m_RHOW0);
	DDX_Text(pDX, IDC_SIGMAW, m_SIGMAW);
	DDX_Text(pDX, IDC_URHOW0, m_URHOW0);
	DDX_Text(pDX, IDC_VISC0, m_VISCO);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPane6, CBasePropertyPage)
	//{{AFX_MSG_MAP(CPane6)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPane6 message handlers

void CPane6::ReturnValues(SUTRAProjectInfo &info)
{
	info.COMPFL = m_COMPFL;
	info.CW = m_CW;
	info.DRWDU = m_DRWDU;
	info.RHOW0 = m_RHOW0;
	info.SIGMAW = m_SIGMAW;
	info.URHOW0 = m_URHOW0;
	info.VISCO = m_VISCO;

	info.defaultSetting = m_defaultSetting;
}

void CPane6::GetValues(SUTRAProjectInfo &info)
{
	m_COMPFL = info.COMPFL;
	m_CW = info.CW;
	m_DRWDU = info.DRWDU;
	m_RHOW0 = info.RHOW0;
	m_SIGMAW = info.SIGMAW;
	m_URHOW0 = info.URHOW0;
	m_VISCO = info.VISCO;

	m_defaultSetting = info.defaultSetting;
	m_soluteConstMode = (!info.defaultSetting && info.transportConditions == SUTRAProjectInfo::kSOLUTE_CONST);
}

BOOL CPane6::OnSetActive() 
{
	CTabbedDialog* tabbedDialog = (CTabbedDialog*)this->GetParent();

	BOOL energySimulation = tabbedDialog->m_EnergySimulation;

	// m_CWEdit.EnableWindow(energySimulation || m_defaultSetting);
	m_CWEdit.EnableWindow(energySimulation);
	if(m_defaultSetting)
	{
		GetDlgItem(IDC_SIGW_TITLE1)->ShowWindow(SW_HIDE);
		GetDlgItem(IDC_VISCO_TITLE1)->ShowWindow(SW_HIDE);
	}

	if (m_soluteConstMode)
	{
		m_DRWDUEdit.EnableWindow(FALSE);
		m_RHOW0Edit.EnableWindow(FALSE);
		m_URHOW0Edit.EnableWindow(FALSE);
		m_VISCOEdit.EnableWindow(FALSE);
	}

	this->ReplaceIni(staticTextToModify, SIZEOF_ARRAY(staticTextToModify));

	return CBasePropertyPage::OnSetActive();
}
