/*==============================================================================
// 
//	File: ProjectPIE.h
//
//	Argus Numerical Environments - Plug In Extension, Release 1.0
// 
//	Copyright  1996 Argus Holdings Ltd.  All rights reserved.
//
// THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Argus Holdings Ltd..
// The copyright notice above does not evidence any
// actual or intended publication of such source code
//============================================================================*/

#ifndef _ProjectPIE_H_
#define _ProjectPIE_H_

#ifndef _ANEPIE_H_
#include "ANEPIE.h"
#endif /* _ANEPIE_H_ */

/* versions info:
 0 - original version in first beta- not supported anymore
 1  - till 3.0Beta3 first complete interface
 2 - 09/10/96 return type added for PIEProjectNew and PIEProjectEdit to allow cancel
 3 - Combined fishnet mesh and post-processing logic into single PIE
 */

#define PROJECT_PIE_VERSION 3

#ifdef __cplusplus
extern "C" {
#endif

typedef ANE_BOOL (*PIEProjectNew)(ANE_PTR aneHandle, ANE_PTR* rPIEHandle, ANE_STR*  returnLayerTemplate);
typedef ANE_BOOL (*PIEProjectEdit)(ANE_PTR aneHandle, ANE_PTR PIEHandle);
typedef void (*PIEProjectClean)(ANE_PTR aneHandle, ANE_PTR PIEHandle);
typedef void (*PIEProjectSave)(ANE_PTR aneHandle, ANE_PTR PIEHandle, ANE_STR* rSaveInfo);
typedef void (*PIEProjectLoad)(ANE_PTR aneHandle, ANE_PTR* rPIEHandle, const ANE_STR LoadInfo);
#ifdef __cplusplus
}
#endif


enum EProjectPIEFlags {
			kProjectDisplaysDialog		= 0x0001,
			kProjectShouldSave			= 0x0002,
			kProjectCanEdit				= 0x0004,
			kProjectShouldClean			= 0x0008,
			kCallEditAfterNewProject	= 0x0010	};

struct ProjectPIEDesc
{
#ifdef __cplusplus
		ProjectPIEDesc() : version(PROJECT_PIE_VERSION) 
			{}
#endif

		ANE_INT32						version;
		ANE_STR							name;
		enum EProjectPIEFlags		projectFlags;
		PIEProjectNew					createNewProc;
		PIEProjectEdit					editProjectProc;
		PIEProjectClean				cleanProjectProc;
		PIEProjectSave					saveProc;
		PIEProjectLoad					loadProc;
}; /* ProjectPIEDesc */

#endif /* _ProjectPIE_H_ */

/*==============================================================================
//	End File: ProjectPIE.h
//==============================================================================*/
